## kaffeine-0.8.4.tar.bz2

=== doc/CMakeLists.txt ===
add_subdirectory(amarok)

=== debian/changelog ===
kaffeine (0.8.4-1) unstable; urgency=low

  * New upstream release
    - Ripping CD to OGG produces white noise on powerpc (probably
    endianness issue) (Closes: #376025)
    - debian/patches/Bug403749.diff removed - encorporated upstream
    (Closes: #403749)
    - fails to properly play files with names containing '#' character
    (Closes: #362807)
  * Build-Depends: libogg-dev
  * Add /usr/share/applications/kde/kaffeine-iso.desktop
    - play DVD ISO files on filesystem (rather than in DVD drive)
    automatically (Closes: #402382)

 -- Mark Purcell <msp@debian.org>  Sat, 14 Apr 2007 10:03:23 +0100

kaffeine (0.8.3-1) unstable; urgency=low

  * New upstream release
  * Remove patch for bug 390829, merged upstream
  * Update copyright file
  * Update lintian override

 -- Fathi Boudra <fboudra@free.fr>  Mon, 27 Nov 2006 21:21:58 +0100

kaffeine (0.8.2-2) unstable; urgency=low

  * Kaffeine refuses to start completely (Closes: #390829)

 -- Mark Purcell <msp@debian.org>  Sun,  8 Oct 2006 09:59:13 +1000

kaffeine (0.8.2-1) unstable; urgency=low

  [ Mark Purcell ]
  * Update debian/watch & ~beta1
  * New upstream release

  [ Fathi Boudra ]
  * New upstream release (Closes: #366993):
    * DVB: cicam support for HLCI and LLCI interfaces
    * Systray: reversed mouse wheel behaviour
    * Playlist: added a KURLComboBox to file browser
    * DVB: fixed fast zap lock
    * fixed: reduced minimum window size
    * Playlist: autoselect subtitle when unique
  * Update copyright file
  * Add patch to fix kaffeine_part crash, thanks to Olivier Trichet
    (Closes: #338756)

 -- Mark Purcell <msp@debian.org>  Tue, 12 Sep 2006 21:33:30 +0100

kaffeine (0.8.1-3) unstable; urgency=low

  [ Fathi Boudra ]
  * Updated copyright file according to GFDL documentations
  * Added hdparm to kaffeine Depends (Closes: #289895)
  * Added informations about css and region setting in README.Debian
  * Added install-css script taken from libdvdread3 package
  * Removed x-mplayer2.desktop shipped by kdelibs (Closes: #372514)

 -- Fathi Boudra <fboudra@free.fr>  Sat, 10 Jun 2006 00:25:04 +0200

kaffeine (0.8.1-2) unstable; urgency=low

  * Requires libxine-dev (>=1.1.1-2), various archs have build empty
    .debs with old libxine...

 -- Riku Voipio <riku.voipio@iki.fi>  Sat,  8 Apr 2006 11:26:20 +0300

kaffeine (0.8.1-1) unstable; urgency=low

  [ Fathi Boudra ]
  * New upstream release
  * Remove patch 10_gstreamer_service_menu.diff merged upstream
  * Remove libqt3-compat-headers from Build-Depends

 -- Fathi Boudra <fboudra@free.fr>  Mon,  3 Apr 2006 23:59:25 +0200

kaffeine (0.8-1) experimental; urgency=low

  [ Fathi Boudra ]
  * New upstream release, Closes: #360393
  * Clean up control
  * Add libcdparanoia0-dev to Build-Depends
  * Add libxtst-dev to Build-Depends (thanks to Jonathan Riddell)
  * Disable gstreamer support, Closes: #346252, #328786
  * Merge kaffeine-xine in kaffeine package

  [ Riku Voipio ]
  * The -dbg package feature needs cdbs (>= 0.4.37)
  * Acknowledge NMU's: Closes: #329010, #329143, #329177, #328738
    (Thanks to Adeodato Simó and LaMont Jones !)
  * Remove build-dependency on g++-3.4 on selected archs, Closes: #342974
  * Remove build-dependency on linux-kernel-headers, Closes: #328550
  * Documentation link is correct now, Closes: #336738
  * The new upstream version fixes a range of problems:
  * Audio busy problem, and failure to fall back to another
    audio sink: Closes: #328788, #336306, #358234
  * Keyboard shortcuts no longer crash after playback, Closes: #329178
  * Xine engine configuration dialog is now scrollable, Closes: #344093
  * Upload to experimental since 0.8.1 is coming this week

 -- Riku Voipio <riku.voipio@iki.fi>  Mon,  3 Apr 2006 23:16:16 +0300

kaffeine (0.7.1-1.3) unstable; urgency=low

  * NMU with maintainer's approval. All changes come straight from a patch
    sent by Modestas Vainius <geromanas@mailas.com> to the BTS. Thanks!

  * Remove 13_xine_service_menu.diff, since it breaks loading of
    libkaffeinepart (the name "Kaffeine" is hardcored in many places in the
    code, so leave it). Closes: #328738

  * Make kaffeine depend on kaffeine-xine | kaffeine-gstreamer instead of
    backwards, so that the XINE engine (the only one it used to exist) gets
    installed by default when upgrading from << 0.7 versions.

  * Update 12_gstreamer_service_menu.diff to leave "Name" section unchanged;
    no need to risk breaking things (like the bug above) in the future. Leave
    "Icon" unchanged as well.

 -- Adeodato Simó <dato@the-barrel.org>  Fri, 11 Nov 2005 00:06:35 +0100

kaffeine (0.7.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * work around gcc-4.0 FTBFS on some architectures

 -- LaMont Jones <lamont@debian.org>  Fri, 14 Oct 2005 19:28:28 +0000

kaffeine (0.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload.

  * Make Kaffeine not crash at exist. For this, don't call ./configure with
    --with-xorg and --with-xinit-workaround. Kudos to Christopher Martin for
    diagnosing the issue. Closes: #329010, #329143

  * Make Kaffeine not display the configuration wizard every time it starts.
    For this, remove bogus patch kubuntu_04_locate_wizard_stamp.diff (bug:
    even if locate() is used to check for system-wide configuration files, the
    file to write must be obtained with locateLocal()). Closes: #329177

 -- Adeodato Simó <asp16@alu.ua.es>  Sun, 25 Sep 2005 20:08:28 +0200

kaffeine (0.7.1-1) unstable; urgency=low

  * New upstream release. Closes: #326491
  * Built against kdelibs4c2. Closes: #325074
  * Removed kubuntu_03_gstreamer_stop.diff, which was included upstream.
  * Updated kubuntu_04_locate_wizard_stamp.diff.

 -- Zack Cerza <zcerza@coe.neu.edu>  Sun, 11 Sep 2005 02:19:50 -0400

kaffeine (0.7-1) unstable; urgency=low

  * New upstream release.
  * Removed code that moved the menu file, as dh_installmenu does it now.
  * Removed patches that were included upstream.
  * Updated patches that weren't.


=== debian/control ===
Source: kaffeine
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Riku Voipio <riku.voipio@iki.fi>, Fathi Boudra <fboudra@free.fr>,
 Mark Purcell <msp@debian.org>
Build-Depends: cdbs (>= 0.4.37), debhelper (>= 5), kdelibs4-dev, libcdparanoia0-dev, libxine-dev (>= 1.1.1-1), libxtst-dev, libogg-dev, autotools-dev, automake1.9, autoconf
Standards-Version: 3.7.2

Package: kaffeine
Architecture: any
Depends: ${shlibs:Depends}, hdparm
Conflicts: kaffeine-xine, kaffeine-gstreamer
Replaces: kaffeine-xine, kaffeine-gstreamer
Description: versatile media player for KDE
 Kaffeine is a media player for KDE. While it supports multiple player
 engines, its default engine is Xine, giving Kaffeine a wide variety of
 supported media types and letting Kaffeine access CDs, DVDs, and
 network streams easily.
 .
 Kaffeine can keep track of multiple playlists simultaneously, and supports
 autoloading of subtitles files for use while playing video.
 .
  Homepage: http://kaffeine.sourceforge.net

Package: kaffeine-dbg
Section: devel
Architecture: any
Priority: extra
Depends: kaffeine (= ${Source-Version})
Description: debugging symbols for kaffeine
 This package contains the debugging symbols associated with kaffeine.
 They will automatically be used by gdb for debugging kaffeine-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/kde.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_EXTRA_FLAGS := --without-gstreamer --without-lame
DEB_DESTDIR = $(CURDIR)/debian/kaffeine/
DEB_INSTALL_MANPAGES_kaffeine := debian/kaffeine.1

install/kaffeine::
	install -D -p -m0644 debian/kaffeine.xpm debian/kaffeine/usr/share/pixmaps/kaffeine.xpm
	install -D -p -m0644 debian/kaffeine.lintian-overrides debian/kaffeine/usr/share/lintian/overrides/kaffeine
	install -D -p -m0755 debian/install-css.sh debian/kaffeine/usr/share/doc/kaffeine/install-css.sh
	install -D -p -m0644 debian/kaffeine-iso.desktop debian/kaffeine/usr/share/applications/kde/kaffeine-iso.desktop

	# file shipped by kdelibs
	rm -f debian/kaffeine/usr/share/mimelnk/application/x-mplayer2.desktop

get-orig-source:
	 @@dh_testdir
	 @@[ -d ../tarballs/. ]
	 @@dpatch-get-origtargz ../tarballs
